## python-os-brick 4.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=5.4.1 # Apache-2.0
eventlet>=0.25.1 # MIT
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.23.0 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
oslo.i18n>=3.24.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
oslo.serialization>=2.29.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.34.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
tenacity>=6.0.0 # Apache-2.0
os-win>=3.0.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinx-feature-classification>=0.1.0 # Apache 2.0

=== debian/changelog ===
python-os-brick (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 13:26:05 +0200

python-os-brick (4.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:45:37 +0200

python-os-brick (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 16:00:37 +0200

python-os-brick (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Added python3-tenacity to (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2020 19:19:01 +0200

python-os-brick (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:11:15 +0200

python-os-brick (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:22:00 +0200

python-os-brick (2.10.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 12:32:59 +0100

=== debian/control ===
Source: python-os-brick
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.4.1),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-castellan (>= 1.3.0),
 python3-coverage,
 python3-ddt,
 python3-eventlet (>= 0.25.1),
 python3-hacking,
 python3-openstackdocstheme <!nodoc>,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.context (>= 2.23.0),
 python3-oslo.i18n (>= 3.24.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.29.0),
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest <!nocheck>,
 python3-reno,
 python3-requests,
 python3-retrying,
 python3-six,
 python3-stestr <!nocheck>,
 python3-tenacity (>= 6.0.0),
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-brick
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-brick.git
Homepage: https://github.com/openstack/os-brick

Package: os-brick-common
Architecture: all
Depends:
 ${misc:Depends},
Description: Library for managing local volume attaches - common files
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains common files needed by either the Python 2 or 3 module
 of os-brick.

Package: python-os-brick-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Library for managing local volume attaches - doc
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains the documentation.

Package: python3-os-brick
Architecture: all
Depends:
 open-iscsi,
 os-brick-common (= ${binary:Version}),
 python3-babel,
 python3-eventlet (>= 0.25.1),
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.context (>= 2.23.0),
 python3-oslo.i18n (>= 3.24.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.29.0),
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr (>= 5.4.1),
 python3-requests,
 python3-retrying,
 python3-six,
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-brick-doc,
Description: Library for managing local volume attaches - Python 3.x
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-brick.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-os-brick/usr/etc
	install -D -m 0644 etc/os-brick/rootwrap.d/os-brick.filters $(CURDIR)/debian/os-brick-common/etc/os-brick/rootwrap.d/os-brick.filters

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'os_brick\.tests\.(?!(.*privileged\.test_rootwrap\.PrivRootwrapTestCase\.test_custom_execute_timeout_no_raise.*|.*privileged\.test_rootwrap\.PrivRootwrapTestCase\.test_custom_execute_timeout_raises_with_retries.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-brick-doc/usr/share/doc/python-os-brick-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/os-brick/tags .*/(\d[\d\.]+)\.tar\.gz

## python-os-brick 4.0.5

=== debian/changelog ===
python-os-brick (4.0.5-0ubuntu1~cloud2) focal-victoria; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 12:02:23 -0400

python-os-brick (4.0.5-0ubuntu1~cloud1) focal-victoria; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Support force disconnect for
      fibre channel.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 May 2023 10:36:31 -0400

python-os-brick (4.0.5-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1978465).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/lp1915678-avoid-unhandled-exceptions-during-connecting-to-iscsi-portals.patch:
    Dropped. Fixd in new stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Jun 2022 13:36:20 -0400

python-os-brick (4.0.1-0ubuntu1~cloud1) focal-victoria; urgency=medium

  [ Brett Milford ]
  * Avoid unhandled exceptions during connecting to iSCSI portals
    (LP: #1915678)
    - d/p/lp1915678-avoid-unhandled-exceptions-during-connecting-to-iscsi-portals.patch

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Brett Milford <brett.milford@canonical.com>  Thu, 18 Nov 2021 12:31:49 +1000

python-os-brick (4.0.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Sep 2020 21:34:44 +0000

python-os-brick (4.0.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:56:21 -0400

python-os-brick (3.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:08:39 +0000

python-os-brick (3.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump Standards-Version to 4.5.0.
  * d/control: Update debhelper-compat to 12.
  * d/rules: Update to use pybuild.
  * d/control: Restrict versions to Groovy.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 12 Jun 2020 10:24:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,50 +1,54 @@
 Source: python-os-brick
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 5.4.1),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-babel,
+ python3-babel (>= 2.3.4),
  python3-castellan (>= 1.3.0),
- python3-coverage,
- python3-ddt,
+ python3-coverage (>= 4.1),
+ python3-ddt (>= 1.0.1),
  python3-eventlet (>= 0.25.1),
- python3-hacking,
+ python3-hacking (>= 1.1.0),
  python3-openstackdocstheme <!nodoc>,
- python3-os-win,
- python3-oslo.concurrency,
- python3-oslo.context (>= 2.23.0),
+ python3-os-win (>= 4.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.context (>= 1:2.23.0),
  python3-oslo.i18n (>= 3.24.0),
  python3-oslo.log (>= 3.44.0),
  python3-oslo.privsep (>= 1.32.0),
  python3-oslo.serialization (>= 2.29.0),
- python3-oslo.service,
- python3-oslo.utils,
- python3-oslo.vmware,
+ python3-oslo.service (>= 1.31.0),
+ python3-oslo.utils (>= 3.36.0),
+ python3-oslo.vmware (>= 2.17.0),
  python3-oslotest <!nocheck>,
- python3-reno,
- python3-requests,
- python3-retrying,
- python3-six,
+ python3-reno (>= 2.11.2),
+ python3-requests (>= 2.19.0),
+ python3-retrying (>= 1.2.3),
+ python3-six (>= 1.11.0),
+ python3-sphinx-feature-classification (>= 0.1.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-stestr <!nocheck>,
  python3-tenacity (>= 6.0.0),
  python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-brick
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-brick.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-brick
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-brick
 Homepage: https://github.com/openstack/os-brick
+Testsuite: autopkgtest-pkg-python
 
 Package: os-brick-common
 Architecture: all
@@ -78,21 +82,21 @@
 Depends:
  open-iscsi,
  os-brick-common (= ${binary:Version}),
- python3-babel,
+ python3-babel (>= 2.3.4),
  python3-eventlet (>= 0.25.1),
- python3-os-win,
- python3-oslo.concurrency,
- python3-oslo.context (>= 2.23.0),
+ python3-os-win (>= 4.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.context (>= 1:2.23.0),
  python3-oslo.i18n (>= 3.24.0),
  python3-oslo.log (>= 3.44.0),
  python3-oslo.privsep (>= 1.32.0),
  python3-oslo.serialization (>= 2.29.0),
- python3-oslo.service,
- python3-oslo.utils,
+ python3-oslo.service (>= 1.31.0),
+ python3-oslo.utils (>= 3.36.0),
  python3-pbr (>= 5.4.1),
- python3-requests,
- python3-retrying,
- python3-six,
+ python3-requests (>= 2.19.0),
+ python3-retrying (>= 1.2.3),
+ python3-six (>= 1.11.0),
  python3-tenacity (>= 6.0.0),
  ${misc:Depends},
  ${python3:Depends},

## python-os-brick 4.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.5.1 # Apache-2.0
eventlet>=0.30.1 # MIT
oslo.concurrency>=4.4.0 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.privsep>=2.4.0 # Apache-2.0
oslo.serialization>=4.1.0 # Apache-2.0
oslo.service>=2.5.0 # Apache-2.0
oslo.utils>=4.8.0 # Apache-2.0
requests>=2.25.1 # Apache-2.0
tenacity>=6.3.1 # Apache-2.0
os-win>=5.4.0 # Apache-2.0

=== debian/changelog ===
python-os-brick (4.3.1-0ubuntu2) hirsute; urgency=medium

  * d/control: Drop python3-coverage min version as it is not required.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 13:57:46 -0400

python-os-brick (4.3.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 07 Apr 2021 09:11:55 +0000

python-os-brick (4.2.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 09 Mar 2021 16:25:07 +0000

python-os-brick (4.1.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 14:59:42 +0000

=== debian/control ===
--- 
+++ 
@@ -11,36 +11,35 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 5.4.1),
+ python3-pbr (>= 5.5.1),
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx (>= 3.5.1),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
- python3-castellan (>= 1.3.0),
- python3-coverage (>= 4.1),
- python3-ddt (>= 1.0.1),
- python3-eventlet (>= 0.25.1),
+ python3-castellan (>= 3.7.0),
+ python3-coverage,
+ python3-ddt (>= 1.4.1),
+ python3-eventlet (>= 0.30.0),
  python3-hacking (>= 1.1.0),
  python3-openstackdocstheme <!nodoc>,
- python3-os-win (>= 4.1.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.context (>= 1:2.23.0),
- python3-oslo.i18n (>= 3.24.0),
- python3-oslo.log (>= 3.44.0),
- python3-oslo.privsep (>= 1.32.0),
- python3-oslo.serialization (>= 2.29.0),
- python3-oslo.service (>= 1.31.0),
- python3-oslo.utils (>= 3.36.0),
- python3-oslo.vmware (>= 2.17.0),
+ python3-os-win (>= 5.4.0),
+ python3-oslo.concurrency (>= 4.4.0),
+ python3-oslo.context (>= 1:3.1.1),
+ python3-oslo.i18n (>= 5.0.1),
+ python3-oslo.log (>= 4.4.0),
+ python3-oslo.privsep (>= 2.4.0),
+ python3-oslo.serialization (>= 4.1.0),
+ python3-oslo.service (>= 2.5.0),
+ python3-oslo.utils (>= 4.8.0),
+ python3-oslo.vmware (>= 3.8.0),
  python3-oslotest <!nocheck>,
  python3-reno (>= 2.11.2),
- python3-requests (>= 2.19.0),
+ python3-requests (>= 2.25.1),
  python3-retrying (>= 1.2.3),
- python3-six (>= 1.11.0),
- python3-sphinx-feature-classification (>= 0.1.0),
- python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-sphinx-feature-classification (>= 1.0.1),
+ python3-sphinxcontrib.apidoc (>= 0.3.0),
  python3-stestr <!nocheck>,
- python3-tenacity (>= 6.0.0),
+ python3-tenacity (>= 6.2.0),
  python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
  subunit,
@@ -83,21 +82,20 @@
  open-iscsi,
  os-brick-common (= ${binary:Version}),
  python3-babel (>= 2.3.4),
- python3-eventlet (>= 0.25.1),
- python3-os-win (>= 4.1.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.context (>= 1:2.23.0),
- python3-oslo.i18n (>= 3.24.0),
- python3-oslo.log (>= 3.44.0),
- python3-oslo.privsep (>= 1.32.0),
- python3-oslo.serialization (>= 2.29.0),
- python3-oslo.service (>= 1.31.0),
- python3-oslo.utils (>= 3.36.0),
- python3-pbr (>= 5.4.1),
- python3-requests (>= 2.19.0),
+ python3-eventlet (>= 0.30.0),
+ python3-os-win (>= 5.4.0),
+ python3-oslo.concurrency (>= 4.4.0),
+ python3-oslo.context (>= 1:3.1.1),
+ python3-oslo.i18n (>= 5.0.1),
+ python3-oslo.log (>= 4.4.0),
+ python3-oslo.privsep (>= 2.4.0),
+ python3-oslo.serialization (>= 4.1.0),
+ python3-oslo.service (>= 2.5.0),
+ python3-oslo.utils (>= 4.8.0),
+ python3-pbr (>= 5.5.1),
+ python3-requests (>= 2.25.1),
  python3-retrying (>= 1.2.3),
- python3-six (>= 1.11.0),
- python3-tenacity (>= 6.0.0),
+ python3-tenacity (>= 6.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-os-brick 4.3.3

=== debian/changelog ===
python-os-brick (4.3.3-0ubuntu1~cloud2) focal-wallaby; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 12:01:34 -0400

python-os-brick (4.3.3-0ubuntu1~cloud1) focal-wallaby; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Support force disconnect for
      fibre channel.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 May 2023 10:33:02 -0400

python-os-brick (4.3.3-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * d/gbp.conf: Create stable/wallaby branch.
  * New stable point release for OpenStack Wallaby (LP: #1978465).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Jun 2022 13:21:31 -0400

python-os-brick (4.3.1-0ubuntu2~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 12 Apr 2021 19:07:45 +0000

## python-os-brick 5.0.1

=== debian/changelog ===
python-os-brick (5.0.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 13:26:37 +0000

python-os-brick (5.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:06:51 -0400

python-os-brick (4.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Jun 2021 07:39:09 +0000

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
  python3-castellan (>= 3.7.0),
  python3-coverage,
  python3-ddt (>= 1.4.1),
- python3-eventlet (>= 0.30.0),
- python3-hacking (>= 1.1.0),
+ python3-eventlet (>= 0.30.1),
+ python3-hacking,
  python3-openstackdocstheme <!nodoc>,
  python3-os-win (>= 5.4.0),
  python3-oslo.concurrency (>= 4.4.0),
@@ -39,7 +39,7 @@
  python3-sphinx-feature-classification (>= 1.0.1),
  python3-sphinxcontrib.apidoc (>= 0.3.0),
  python3-stestr <!nocheck>,
- python3-tenacity (>= 6.2.0),
+ python3-tenacity (>= 6.3.1),
  python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
  subunit,
@@ -82,7 +82,7 @@
  open-iscsi,
  os-brick-common (= ${binary:Version}),
  python3-babel (>= 2.3.4),
- python3-eventlet (>= 0.30.0),
+ python3-eventlet (>= 0.30.1),
  python3-os-win (>= 5.4.0),
  python3-oslo.concurrency (>= 4.4.0),
  python3-oslo.context (>= 1:3.1.1),
@@ -95,7 +95,7 @@
  python3-pbr (>= 5.5.1),
  python3-requests (>= 2.25.1),
  python3-retrying (>= 1.2.3),
- python3-tenacity (>= 6.2.0),
+ python3-tenacity (>= 6.3.1),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-os-brick 5.0.3

=== debian/changelog ===
python-os-brick (5.0.3-0ubuntu1~cloud1) focal-xena; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 12:00:56 -0400

python-os-brick (5.0.3-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New stable point release for OpenStack Xena (LP: #2018564).
  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Support force disconnect for
      fibre channel.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2023 11:59:14 +0200

python-os-brick (5.0.2-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Jul 2022 22:35:42 +0000

python-os-brick (5.0.2-0ubuntu1) impish; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * New stable point release for OpenStack Xena (LP: #1978465).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Jun 2022 13:14:30 -0400

## python-os-brick 5.2.0

=== debian/changelog ===
python-os-brick (5.2.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 14:26:12 -0500

python-os-brick (5.1.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:30:09 -0500

## python-os-brick 5.2.2

=== debian/changelog ===
python-os-brick (5.2.2-0ubuntu1.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088.patch: Support force disconnect for
      fibre channel.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 15:37:17 -0400

python-os-brick (5.2.2-0ubuntu1.1) jammy-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 11:08:32 -0400

python-os-brick (5.2.2-0ubuntu1) jammy-security; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #2018564).
  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Support force disconnect for
      fibre channel.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2023 11:52:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,36 +7,36 @@
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 5.5.1),
+ python3-pbr (>= 5.8.0),
  python3-setuptools,
  python3-sphinx (>= 3.5.1),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
- python3-castellan (>= 3.7.0),
+ python3-castellan (>= 3.10.0),
  python3-coverage,
  python3-ddt (>= 1.4.1),
  python3-eventlet (>= 0.30.1),
  python3-hacking,
  python3-openstackdocstheme <!nodoc>,
- python3-os-win (>= 5.4.0),
- python3-oslo.concurrency (>= 4.4.0),
- python3-oslo.context (>= 1:3.1.1),
- python3-oslo.i18n (>= 5.0.1),
- python3-oslo.log (>= 4.4.0),
- python3-oslo.privsep (>= 2.4.0),
- python3-oslo.serialization (>= 4.1.0),
- python3-oslo.service (>= 2.5.0),
- python3-oslo.utils (>= 4.8.0),
- python3-oslo.vmware (>= 3.8.0),
+ python3-os-win (>= 5.5.0),
+ python3-oslo.concurrency (>= 4.5.0),
+ python3-oslo.context (>= 1:3.4.0),
+ python3-oslo.i18n (>= 5.1.0),
+ python3-oslo.log (>= 4.6.1),
+ python3-oslo.privsep (>= 2.6.2),
+ python3-oslo.serialization (>= 4.2.0),
+ python3-oslo.service (>= 2.8.0),
+ python3-oslo.utils (>= 4.12.1),
+ python3-oslo.vmware (>= 3.10.0),
  python3-oslotest <!nocheck>,
- python3-reno (>= 2.11.2),
+ python3-reno,
  python3-requests (>= 2.25.1),
  python3-retrying (>= 1.2.3),
- python3-sphinx-feature-classification (>= 1.0.1),
+ python3-sphinx-feature-classification (>= 1.1.0),
  python3-sphinxcontrib.apidoc (>= 0.3.0),
  python3-stestr <!nocheck>,
  python3-tenacity (>= 6.3.1),
@@ -83,16 +83,16 @@
  os-brick-common (= ${binary:Version}),
  python3-babel (>= 2.3.4),
  python3-eventlet (>= 0.30.1),
- python3-os-win (>= 5.4.0),
- python3-oslo.concurrency (>= 4.4.0),
- python3-oslo.context (>= 1:3.1.1),
- python3-oslo.i18n (>= 5.0.1),
- python3-oslo.log (>= 4.4.0),
- python3-oslo.privsep (>= 2.4.0),
- python3-oslo.serialization (>= 4.1.0),
- python3-oslo.service (>= 2.5.0),
- python3-oslo.utils (>= 4.8.0),
- python3-pbr (>= 5.5.1),
+ python3-os-win (>= 5.5.0),
+ python3-oslo.concurrency (>= 4.5.0),
+ python3-oslo.context (>= 1:3.4.0),
+ python3-oslo.i18n (>= 5.1.0),
+ python3-oslo.log (>= 4.6.1),
+ python3-oslo.privsep (>= 2.6.2),
+ python3-oslo.serialization (>= 4.2.0),
+ python3-oslo.service (>= 2.8.0),
+ python3-oslo.utils (>= 4.12.1),
+ python3-pbr (>= 5.8.0),
  python3-requests (>= 2.25.1),
  python3-retrying (>= 1.2.3),
  python3-tenacity (>= 6.3.1),

## python-os-brick 5.2.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.8.0 # Apache-2.0
eventlet>=0.30.1,!=0.32.0 # MIT
oslo.concurrency>=4.5.0 # Apache-2.0
oslo.context>=3.4.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.privsep>=2.6.2 # Apache-2.0
oslo.serialization>=4.2.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.utils>=4.12.1 # Apache-2.0
requests>=2.25.1 # Apache-2.0
tenacity>=6.3.1 # Apache-2.0
os-win>=5.5.0 # Apache-2.0

=== debian/changelog ===
python-os-brick (5.2.4-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - CVE-2023-2088_Support_force_disconnect_for_FC.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:44:45 +0000

python-os-brick (5.2.2-2) UNRELEASED; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Added upstream patch: Support force disconnect for FC
    (Closes: #1035932).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 May 2023 13:53:04 +0200

python-os-brick (5.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Aug 2022 13:13:36 +0200

python-os-brick (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 14:04:53 +0100

python-os-brick (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 17:30:24 +0100

python-os-brick (5.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 11:21:00 +0200

python-os-brick (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:55:40 +0200

python-os-brick (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:19:30 +0200

python-os-brick (4.3.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 14:50:13 +0200

python-os-brick (4.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Mar 2021 11:57:15 +0200

python-os-brick (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 10:51:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: python-os-brick
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 5.8.0),
  python3-setuptools,
- python3-sphinx (>= 3.5.1),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-babel (>= 2.3.4),
+ python3-babel,
  python3-castellan (>= 3.10.0),
- python3-coverage,
- python3-ddt (>= 1.4.1),
+ python3-coverage (>= 5.1),
+ python3-ddt,
  python3-eventlet (>= 0.30.1),
  python3-hacking,
  python3-openstackdocstheme <!nodoc>,
  python3-os-win (>= 5.5.0),
  python3-oslo.concurrency (>= 4.5.0),
- python3-oslo.context (>= 1:3.4.0),
+ python3-oslo.context (>= 3.4.0),
  python3-oslo.i18n (>= 5.1.0),
  python3-oslo.log (>= 4.6.1),
  python3-oslo.privsep (>= 2.6.2),
@@ -32,22 +31,19 @@
  python3-oslo.service (>= 2.8.0),
  python3-oslo.utils (>= 4.12.1),
  python3-oslo.vmware (>= 3.10.0),
- python3-oslotest <!nocheck>,
+ python3-oslotest (>= 1:4.5.0) <!nocheck>,
  python3-reno,
- python3-requests (>= 2.25.1),
- python3-retrying (>= 1.2.3),
- python3-sphinx-feature-classification (>= 1.1.0),
- python3-sphinxcontrib.apidoc (>= 0.3.0),
- python3-stestr <!nocheck>,
+ python3-requests,
+ python3-retrying,
+ python3-stestr (>= 3.2.1) <!nocheck>,
  python3-tenacity (>= 6.3.1),
  python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-brick
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-brick
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-brick
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-brick.git
 Homepage: https://github.com/openstack/os-brick
-Testsuite: autopkgtest-pkg-python
 
 Package: os-brick-common
 Architecture: all
@@ -81,11 +77,11 @@
 Depends:
  open-iscsi,
  os-brick-common (= ${binary:Version}),
- python3-babel (>= 2.3.4),
+ python3-babel,
  python3-eventlet (>= 0.30.1),
  python3-os-win (>= 5.5.0),
  python3-oslo.concurrency (>= 4.5.0),
- python3-oslo.context (>= 1:3.4.0),
+ python3-oslo.context (>= 3.4.0),
  python3-oslo.i18n (>= 5.1.0),
  python3-oslo.log (>= 4.6.1),
  python3-oslo.privsep (>= 2.6.2),
@@ -93,8 +89,8 @@
  python3-oslo.service (>= 2.8.0),
  python3-oslo.utils (>= 4.12.1),
  python3-pbr (>= 5.8.0),
- python3-requests (>= 2.25.1),
- python3-retrying (>= 1.2.3),
+ python3-requests,
+ python3-retrying,
  python3-tenacity (>= 6.3.1),
  ${misc:Depends},
  ${python3:Depends},

## python-os-brick 6.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 pbr>=5.8.0 # Apache-2.0
 eventlet>=0.30.1,!=0.32.0 # MIT
 oslo.concurrency>=4.5.0 # Apache-2.0
+oslo.config>=8.1.0 # Apache-2.0
 oslo.context>=3.4.0 # Apache-2.0
 oslo.log>=4.6.1 # Apache-2.0
 oslo.i18n>=5.1.0 # Apache-2.0

=== debian/changelog ===
python-os-brick (6.1.0-3) unstable; urgency=high

  * CVE-2023-30861: Unauthorized volume access through deleted volume
    attachments. Added upstream patch: Support force disconnect for FC
    (Closes: #1035932).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 May 2023 13:46:37 +0200

python-os-brick (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 11:40:32 +0200

python-os-brick (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-oslo.config as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 09:10:16 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  python3-openstackdocstheme <!nodoc>,
  python3-os-win (>= 5.5.0),
  python3-oslo.concurrency (>= 4.5.0),
+ python3-oslo.config,
  python3-oslo.context (>= 3.4.0),
  python3-oslo.i18n (>= 5.1.0),
  python3-oslo.log (>= 4.6.1),
@@ -81,6 +82,7 @@
  python3-eventlet (>= 0.30.1),
  python3-os-win (>= 5.5.0),
  python3-oslo.concurrency (>= 4.5.0),
+ python3-oslo.config,
  python3-oslo.context (>= 3.4.0),
  python3-oslo.i18n (>= 5.1.0),
  python3-oslo.log (>= 4.6.1),

## python-os-brick 6.2.0

=== debian/changelog ===
python-os-brick (6.2.0-0ubuntu2) lunar; urgency=medium

  * d/control: Drop python3-mypy min version enable cloud archive backport.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 07:19:50 -0500

python-os-brick (6.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Feb 2023 11:37:15 -0500

python-os-brick (6.1.0-0ubuntu2) lunar; urgency=medium

  * d/control: Add lsscsi to Depends as required for iSCSI attached
    volumes (LP: #1939390).
  * d/control: Add nvme-cli to Depends as required for volumes using
    nvme-cli over RDMA (LP: #1947063).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Jan 2023 09:01:34 -0500

python-os-brick (6.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 19:44:20 -0400

## python-os-brick 6.2.2

=== debian/changelog ===
python-os-brick (6.2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:59:34 +0200

python-os-brick (6.2.2-1) experimental; urgency=medium

  * New upstream point release:
    - Fixes CVE-2023-2088: Unauthorized volume access through deleted volume
      attachments. (Closes: #1035932).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 May 2023 13:34:21 +0200

python-os-brick (6.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of (build-)depends when satisfied in Bookworm.
  * Removed python3-eventlet from depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 09:13:24 +0100

=== debian/control ===
--- 
+++ 
@@ -15,29 +15,29 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-babel,
- python3-castellan (>= 3.10.0),
- python3-coverage (>= 5.1),
+ python3-castellan,
+ python3-coverage,
  python3-ddt,
- python3-eventlet (>= 0.30.1),
+ python3-eventlet,
  python3-hacking,
  python3-openstackdocstheme <!nodoc>,
- python3-os-win (>= 5.5.0),
- python3-oslo.concurrency (>= 4.5.0),
+ python3-os-win,
+ python3-oslo.concurrency,
  python3-oslo.config,
- python3-oslo.context (>= 3.4.0),
- python3-oslo.i18n (>= 5.1.0),
- python3-oslo.log (>= 4.6.1),
- python3-oslo.privsep (>= 2.6.2),
- python3-oslo.serialization (>= 4.2.0),
- python3-oslo.service (>= 2.8.0),
- python3-oslo.utils (>= 4.12.1),
- python3-oslo.vmware (>= 3.10.0),
- python3-oslotest (>= 1:4.5.0) <!nocheck>,
+ python3-oslo.context,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.privsep,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-oslo.vmware,
+ python3-oslotest <!nocheck>,
  python3-reno,
  python3-requests,
  python3-retrying,
- python3-stestr (>= 3.2.1) <!nocheck>,
- python3-tenacity (>= 6.3.1),
+ python3-stestr <!nocheck>,
+ python3-tenacity,
  python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
  subunit,
@@ -79,21 +79,20 @@
  open-iscsi,
  os-brick-common (= ${binary:Version}),
  python3-babel,
- python3-eventlet (>= 0.30.1),
- python3-os-win (>= 5.5.0),
- python3-oslo.concurrency (>= 4.5.0),
+ python3-os-win,
+ python3-oslo.concurrency,
  python3-oslo.config,
- python3-oslo.context (>= 3.4.0),
- python3-oslo.i18n (>= 5.1.0),
- python3-oslo.log (>= 4.6.1),
- python3-oslo.privsep (>= 2.6.2),
- python3-oslo.serialization (>= 4.2.0),
- python3-oslo.service (>= 2.8.0),
- python3-oslo.utils (>= 4.12.1),
- python3-pbr (>= 5.8.0),
+ python3-oslo.context,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.privsep,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-pbr,
  python3-requests,
  python3-retrying,
- python3-tenacity (>= 6.3.1),
+ python3-tenacity,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-os-brick 6.3.0

=== debian/changelog ===
python-os-brick (6.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/p/CVE-2023-2088.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:01:46 -0400

python-os-brick (6.2.0-0ubuntu5) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088.patch: Support force disconnect for
      fibre channel.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 15:05:40 -0400

python-os-brick (6.2.0-0ubuntu4) mantic; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 11:06:13 -0400

python-os-brick (6.2.0-0ubuntu3) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Support force disconnect for
      fibre channel.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 16:43:10 +0200

## python-os-brick 6.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.8.0 # Apache-2.0
oslo.concurrency>=5.0.0 # Apache-2.0
oslo.config>=9.0.0 # Apache-2.0
oslo.context>=4.1.0 # Apache-2.0
oslo.log>=4.8.0 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.privsep>=3.0.0 # Apache-2.0
oslo.serialization>=4.3.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.utils>=6.0.0 # Apache-2.0
requests>=2.25.1 # Apache-2.0
tenacity>=6.3.1 # Apache-2.0
os-win>=5.7.0 # Apache-2.0

=== debian/changelog ===
python-os-brick (6.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version in python3-pbr build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 09:38:40 +0200

python-os-brick (6.2.2-3) unstable; urgency=medium

  * Cleans better (Closes: #1048337).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 09:05:11 +0200

## python-os-brick 6.4.3

=== debian/changelog ===
python-os-brick (6.4.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:56:35 +0000

python-os-brick (6.4.2-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Nov 2024 09:13:13 +0100

python-os-brick (6.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/watch: use version 4 and gitmode.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 13:54:44 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 5.8.0),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-os-brick 6.6.0

=== debian/changelog ===
python-os-brick (6.6.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 11:21:56 +0000

python-os-brick (6.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:28:11 -0400

## python-os-brick 6.7.0

=== debian/changelog ===
python-os-brick (6.7.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 18:34:18 +0000

python-os-brick (6.7.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 15:32:55 +0000

## python-os-brick 6.7.3

=== debian/changelog ===
python-os-brick (6.7.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:25:31 +0000

python-os-brick (6.7.2-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2025 10:50:50 +0200

python-os-brick (6.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:12:50 +0200

python-os-brick (6.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 17:15:53 +0100

## python-os-brick 6.9.0

=== debian/changelog ===
python-os-brick (6.9.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090548).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:32:52 +0100

python-os-brick (6.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:13:18 +0200

python-os-brick (6.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add new (build-)depends: python3-psutil.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:46:22 +0200

## python-os-brick 6.9.1

=== debian/changelog ===
python-os-brick (6.9.1-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 11 Mar 2025 15:54:48 +0000

python-os-brick (6.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Mar 2025 16:52:38 +0100

## python-os-brick 6.11.0

=== requirements.txt ===
--- 
+++ 
@@ -15,3 +15,4 @@
 requests>=2.25.1 # Apache-2.0
 tenacity>=6.3.1 # Apache-2.0
 os-win>=5.7.0 # Apache-2.0
+psutil>=5.7.2 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.7 # Apache-2.0
reno>=3.2.0 # Apache-2.0
sphinx>=3.5.1 # BSD
os-api-ref>=2.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.3.0  # BSD
sphinx-feature-classification>=1.1.0 # Apache 2.0

=== debian/changelog ===
python-os-brick (6.11.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 13:23:15 +0000

python-os-brick (6.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 14:21:06 +0100

python-os-brick (6.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 13:55:29 +0100

## python-os-brick 6.13.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=5.8.0 # Apache-2.0
oslo.concurrency>=5.0.0 # Apache-2.0
oslo.config>=9.0.0 # Apache-2.0
oslo.context>=4.1.0 # Apache-2.0
oslo.log>=4.8.0 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.privsep>=3.0.0 # Apache-2.0
oslo.serialization>=4.3.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.utils>=7.3.0 # Apache-2.0
requests>=2.25.1 # Apache-2.0
tenacity>=6.3.1 # Apache-2.0
os-win>=5.7.0 # Apache-2.0
psutil>=5.7.2 # BSD

=== doc/requirements.txt ===
openstackdocstheme>=2.2.7 # Apache-2.0
reno>=3.2.0 # Apache-2.0
sphinx>=3.5.1 # BSD
os-api-ref>=2.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.3.0  # BSD
sphinx-feature-classification>=1.1.0 # Apache 2.0

=== debian/changelog ===
python-os-brick (6.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:18:43 +0200

python-os-brick (6.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:01:25 +0200

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
  python3-oslo.utils,
  python3-oslo.vmware,
  python3-oslotest <!nocheck>,
+ python3-psutil,
  python3-reno,
  python3-requests,
  python3-retrying,
@@ -90,6 +91,7 @@
  python3-oslo.service,
  python3-oslo.utils,
  python3-pbr,
+ python3-psutil,
  python3-requests,
  python3-retrying,
  python3-tenacity,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info
@@ -27,5 +27,5 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-brick-doc/usr/share/doc/python-os-brick-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/os-brick refs/tags/(\d[brc\d\.]+)
